
description: Piezo Buzzer connected via two GPIOs controlled by Timer, PPI and GPIOTE.

compatible: "buzzer-piezo"

include: base.yaml

properties:
  ppi-channels:
    type: phandle-array
    required: true
    description: PPI channels.

  gpiote-channels:
    type: phandle-array
    required: true
    description: GPIOTE channels.

  timer-instance:
    type: phandle
    required: true
    description: Timer instance.

  gpios:
    type: phandle-array
    required: true
    description: GPIOs to which buzzer is connected.
